<!DOCTYPE html>
<html lang="en">
<head>
    <% include ../commonHeadElements.html %>
</head>
<body>
<div>
    <% include ../menu.html %>
    <div id="dashboardViewStack">
        <div class="content-container">

            <div class="page-header">
                <h1>Manage Papers</h1>
            </div>
            <div class="headline headline-md">
                <h2 class="pull-left">Papers</h2>
                <div class="pull-right topBarButtons">
                    <a class="btn-u" data-toggle="modal" href="#addPaperDialog">
                        <i class="icon-plus"></i><span>Add Paper</span>
                    </a>
                </div>
                <div class="clearfix"></div>
            </div>

            <table class="table table-bordered table-colored-header">
                <thead>
                <tr class="text-center">
                    <th>Title</th>
                    <th>Creation Date</th>
                    <th>Time (Number of days)</th>
                    <th>Purpose</th>
                    <th>Writer</th>
                    <th>Action</th>
                </tr>
                </thead>
                <tbody>
                <% for(var i in paperList) { %>
                <tr>
                    <td><%= paperList[i].title %></td>
                    <td><%= utils.formatDate(paperList[i].creation_timestamp) %></td>
                    <td><%= paperList[i].num_of_days %></td>
                    <td><%= paperPurposes[paperList[i].purpose_id] %></td>
                    <td><% if(paperList[i].writer_id) { %> <%= paperList[i].writerName %> <% } else { %> - <% } %></td>
                    <td>
                        <% if(paperList[i].writer_id) { %>
                            <% if(paperList[i].status == paperStatus.PENDING) { %>
                                <a href="/app/user/reviewPaper/<%= paperList[i].id %>">Review Paper</a>
                            <% } else if(paperList[i].status == paperStatus.COMPLETED) { %>
                                <a href="/app/user/billing">Pay Bill</a>
                            <% } else if(paperList[i].status == paperStatus.BILLED) { %>
                                <a href="/static/documents/<%= paperList[i].export_filename %>.pdf" target="_blank">Download as PDF</a> | <a href="/static/documents/<%= paperList[i].export_filename %>.docx" target="_blank">Download as WORD</a>
                            <% } %>
                        <% } else { %>
                            Your request is under processing. You will get a notification when a writer is assigned to you
                        <% } %>
                    </td>
                </tr>
                <% } %>
                </tbody>
            </table>
        </div>
    </div>

    <% include modals/addPaper.html %>

    <% include ../commonFooterScriptElements.html %>
</div>
</body>
</html>
